package com.flyfish.framework.approval.domain.record;

import com.flyfish.framework.approval.enums.ApproveAction;
import com.flyfish.framework.domain.base.AuditDomain;
import lombok.Getter;
import lombok.Setter;
import org.springframework.data.mongodb.core.mapping.Document;

/**
 * 审批记录
 *
 * @author wangyu
 */
@Document(collection = "approve-records")
@Getter
@Setter
public class ApproveRecord extends AuditDomain {

    // 是否已审批
    private Boolean approved;

    // 模块
    private String module;

    // 模块名称
    private String moduleName;

    // 数据id
    private String dataId;

    // 审批人
    private String approver;

    // 审批动作
    private ApproveAction action;

    // 审批意见
    private String opinion;
}
