package com.flyfish.framework.annotations;

import com.flyfish.framework.repository.factory.DefaultReactiveRepositoryFactoryBean;
import com.flyfish.framework.repository.impl.DefaultReactiveRepositoryImpl;
import org.springframework.core.annotation.AliasFor;
import org.springframework.data.mongodb.config.EnableReactiveMongoAuditing;
import org.springframework.data.mongodb.repository.config.EnableReactiveMongoRepositories;

import java.lang.annotation.*;

@EnableReactiveMongoRepositories(
        repositoryFactoryBeanClass = DefaultReactiveRepositoryFactoryBean.class,
        repositoryBaseClass = DefaultReactiveRepositoryImpl.class
)
@EnableReactiveMongoAuditing
@Target({ElementType.TYPE})
@Retention(RetentionPolicy.RUNTIME)
@Documented
@Inherited
public @interface EnableReactiveMongoRepo {

    /**
     * 扫描的基本路径
     *
     * @return 结果
     */
    @AliasFor(annotation = EnableReactiveMongoRepositories.class)
    String[] basePackages() default "com.flyfish";
}
