package com.flyfish.framework.annotations;

import java.lang.annotation.*;

@Target({ElementType.TYPE})
@Retention(RetentionPolicy.RUNTIME)
@Documented
@Repeatable(PropertyGroups.class)
public @interface PropertyGroup {

    /**
     * 分组名称
     *
     * @return 结果
     */
    String name();

    /**
     * 分组编码
     *
     * @return 结果
     */
    String code();

    /**
     * 图标
     *
     * @return 结果
     */
    String icon() default "info-circle";

    /**
     * 是否默认
     * 指定为true，默认将未指定分组的项归到该类
     *
     * @return 结果
     */
    boolean initial() default false;
}
