package com.flyfish.framework.repository.factory;

import org.springframework.data.mongodb.core.MongoOperations;
import org.springframework.data.mongodb.repository.support.MongoRepositoryFactoryBean;
import org.springframework.data.repository.Repository;
import org.springframework.data.repository.core.support.RepositoryFactorySupport;
import org.springframework.lang.NonNull;

public class DefaultRepositoryFactoryBean<T extends Repository<S, java.lang.String>, S>
        extends MongoRepositoryFactoryBean<T, S, String> {

    /**
     * Creates a new {@link MongoRepositoryFactoryBean} for the given repository interface.
     *
     * @param repositoryInterface must not be {@literal null}.
     */
    public DefaultRepositoryFactoryBean(Class<? extends T> repositoryInterface) {
        super(repositoryInterface);
    }

    @Override
    @NonNull
    protected RepositoryFactorySupport getFactoryInstance(@NonNull MongoOperations operations) {
        return new DefaultRepositoryFactory(operations);
    }
}
