package com.flyfish.framework.domain;

import com.flyfish.framework.builder.CriteriaBuilder;
import com.flyfish.framework.domain.base.NameLikeQo;
import com.flyfish.framework.domain.po.User;
import lombok.*;
import org.springframework.data.mongodb.core.query.Criteria;

import java.util.List;

@Getter
@Setter
@Builder
@AllArgsConstructor
@NoArgsConstructor
public class UserQo extends NameLikeQo<User> {

    private String type;

    private String username;

    private String password;

    private String phone;

    private String status;

    private List<String> departments;

    @Override
    public CriteriaBuilder<User> criteriaBuilder() {
        return super.criteriaBuilder().with("type", "username", "password", "phone", "status")
                .with("departments", "departments", CriteriaBuilder.Builders.IN);
    }
}
