package com.flyfish.framework.beans.meta.builtin;

import com.flyfish.framework.domain.po.Department;
import com.flyfish.framework.domain.po.Permission;
import com.flyfish.framework.domain.po.Role;
import com.flyfish.framework.domain.po.User;

import java.util.HashMap;
import java.util.Map;
import java.util.Optional;

/**
 * 内置的uris
 *
 * @author wangyu
 */
public class BeanUris {

    private static final Map<Class<?>, String> uris = new HashMap<>();

    static {
        uris.put(User.class, "users");
        uris.put(Department.class, "departments");
        uris.put(Role.class, "roles");
        uris.put(Permission.class, "permissions");
    }

    /**
     * 获取uri
     *
     * @param clazz 类
     * @return 结果
     */
    public static Optional<String> getUri(Class<?> clazz) {
        return Optional.ofNullable(uris.get(clazz));
    }
}
